﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;

namespace WFPApplication
{
    public class AgeValidationRule : ValidationRule
    {
        public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo)
        {
            if (String.IsNullOrEmpty(value as String))
                return new ValidationResult(false, "Age cannot be left empty");

            int age = Convert.ToInt32(value);

            if (age < 18)
                return new ValidationResult(false, "Age must be atleast 18 years old");

            return new ValidationResult(true, String.Empty); 

        }
    }
}
