﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WFPApplication
{
    public class Customer 
    {
        private string _firstName;
        private string _lastName;
        private bool _isValid;
        private int _age; 

        public string FirstName
        {
            get { return _firstName; }
            set 
            { 
                _firstName = value;
                if (String.IsNullOrEmpty(_firstName))
                    throw new ArgumentException("FirstName cannot be empty"); 
            }
        }

        public string LastName
        {
            get { return _lastName; }
            set
            {
                _lastName = value;

                if (String.IsNullOrEmpty(_lastName))
                    throw new ArgumentException("LastName cannot be empty"); 
            }             
        }

        public int Age
        {
            get { return _age; }
            set { _age = value; } 
        }

        public bool IsValid
        {
            get
            {
                if (!String.IsNullOrEmpty(FirstName) && !String.IsNullOrEmpty(LastName))
                    return true;
                else return false;
            }
        }
       
    }
}
