﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;

namespace WFPApplication
{
    public class NotNullOrEmptyValidationRule : ValidationRule
    {
        public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo)
        {


            if (String.IsNullOrEmpty(value as String))
            {
                return new ValidationResult(false, "Cannot be null or emtpy"); 
            }

            return new ValidationResult(true, String.Empty); 
        }
    }
}
